]> git.pld-linux.org Git - packages/rpm.git/blob - rpm.spec
674c1ef318e87f0b99b12a28c3372e43b8c4727e
[packages/rpm.git] / rpm.spec
1 #
2 # TODO:
3 # - make key infrastructure code fallback from keyutils to plain mode in case keyctl
4 #   returns -ENOSYS
5 # - add macros for some ppc, mipsel, alpha and sparc
6 #
7 # - when adopting, use 4.5 ticket for checklist: https://bugs.launchpad.net/pld-linux/+bug/262985
8 #
9 # Conditional build:
10 %bcond_with     static          # build static rpm+rpmi
11 %bcond_without  apidocs         # don't generate documentation with doxygen
12 %bcond_without  python          # don't build python bindings
13 %bcond_without  selinux         # build without selinux support
14 %bcond_without  suggest_tags    # build without Suggest tag (bootstrapping)
15 %bcond_with     db61            # use DB 6.1 instead of 5.2
16 %bcond_with     neon            # build with HTTP/WebDAV support (neon library)
17 %bcond_with     sqlite          # build with SQLite support
18 %bcond_with     system_lua      # use system lua
19 %bcond_without  system_pcre     # use system pcre
20 %bcond_with     keyutils        # build with keyutils support
21
22 %if %{with sqlite}
23 # Error: /lib64/librpmio-5.4.so: undefined symbol: sqlite3_enable_load_extension
24 %define         sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo ERROR)
25 %endif
26
27 # versions of required libraries
28 %if %{with db61}
29 %define         reqdb_pkg       db6.1
30 %define         reqdb_ver       6.1
31 %define         reqdb_pkgver    6.1.19
32 %else
33 %define         reqdb_pkg       db5.2
34 %define         reqdb_ver       5.2
35 %define         reqdb_pkgver    5.2.36.0-4
36 %endif
37 %define         reqpopt_ver     1.15
38 %define         beecrypt_ver    2:4.2.0
39 %define         sover           5.4
40
41 Summary:        RPM Package Manager
42 Summary(de.UTF-8):      RPM Packet-Manager
43 Summary(es.UTF-8):      Gestor de paquetes RPM
44 Summary(pl.UTF-8):      Aplikacja do zarządzania pakietami RPM
45 Summary(pt_BR.UTF-8):   Gerenciador de pacotes RPM
46 Summary(ru.UTF-8):      Менеджер пакетов от RPM
47 Summary(uk.UTF-8):      Менеджер пакетів від RPM
48 Name:           rpm
49 Version:        5.4.15
50 Release:        57
51 License:        LGPL v2.1
52 Group:          Base
53 # http://rpm5.org/files/rpm/rpm-5.4/rpm-5.4.15-0.20140824.src.rpm
54 Source0:        %{name}-%{version}.tar.gz
55 # Source0-md5:  4067f83ca8b5bf1a21e443c0cff3efa0
56 # See README.cpu-os-macros how to update cpu-os-macros.a
57 Source100:      cpu-os-macros.a
58 Source101:      README.cpu-os-macros
59 Source1:        %{name}.groups
60 Source2:        macros.pld.in
61 Source3:        %{name}-install-tree
62 Source5:        %{name}-hrmib-cache
63 Source6:        %{name}-groups-po.awk
64 Source10:       %{name}.sysinfo
65 Source11:       perl.prov
66 Source12:       %{name}-user_group.sh
67 Source13:       %{name}.sysconfig
68 # http://svn.pld-linux.org/banner.sh/
69 Source15:       banner.sh
70 Source16:       ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
71 # Source16-md5: 23914bb49fafe7153cee87126d966461
72 Source18:       macros.local
73 Source19:       %{name}.noautocompressdoc
74 Source20:       %{name}.noautoprov
75 Source21:       %{name}.noautoprovfiles
76 Source22:       %{name}.noautoreq
77 Source24:       %{name}.noautoreqfiles
78 Source26:       %{name}db_checkversion.c
79 Source27:       macros.lang
80 Source28:       %{name}db_reset.c
81 Source29:       dbupgrade.sh
82 Source30:       prov-req-macros
83 Patch0:         %{name}-branch.patch
84 Patch1:         %{name}-man_pl.patch
85 Patch2:         %{name}-popt-aliases.patch
86 Patch3:         %{name}-nosetproctitle.patch
87 Patch4:         %{name}-perl-macros.patch
88 Patch5:         %{name}-perl-req-perlfile.patch
89 Patch6:         %{name}-scripts-closefds.patch
90 Patch8:         %{name}-gettext-in-header.patch
91 Patch9:         %{name}-lua.patch
92 Patch10:        %{name}-php-deps.patch
93 Patch11:        %{name}-notsc.patch
94 Patch12:        %{name}-hack-norpmlibdep.patch
95 Patch13:        %{name}-dont-copy-descriptive-tags.patch
96 Patch14:        %{name}-perl_req-INC_dirs.patch
97 Patch15:        %{name}-debuginfo.patch
98 Patch16:        vendor-pld.patch
99 Patch17:        %{name}-old-fileconflicts-behaviour.patch
100 Patch18:        %{name}-javadeps.patch
101 Patch19:        %{name}-truncate-cvslog.patch
102 Patch20:        %{name}-libtool-deps.patch
103 Patch21:        %{name}-mimetype.patch
104 Patch22:        %{name}-sparc64.patch
105 Patch23:        %{name}-gendiff.patch
106 Patch24:        openmp.patch
107 Patch25:        %{name}-URPM-build-fix.patch
108 Patch26:        %{name}-semanage.patch
109 Patch27:        %{name}-helperEVR-noassert.patch
110 Patch28:        %{name}-unglobal.patch
111 Patch29:        %{name}-builddir-readlink.patch
112 Patch30:        %{name}-changelog_order_check_nonfatal.patch
113 Patch31:        %{name}-cleanbody.patch
114 Patch32:        %{name}-dirdeps-macro.patch
115 Patch33:        %{name}-installbeforeerase.patch
116 Patch34:        %{name}-libmagic-locale.patch
117 Patch35:        %{name}-namespace-compare.patch
118 Patch36:        %{name}-popt-coreutils.patch
119 Patch37:        %{name}-postun-nofail.patch
120 Patch38:        %{name}-silence-RPM_CHAR_TYPE.patch
121 Patch39:        %{name}-fix-missing-types-in-headers.patch
122 Patch40:        %{name}-fix--p-interpreter-and-empty-script.patch
123 Patch41:        %{name}-db_buffer_small.patch
124 Patch42:        %{name}-pattern_Release.patch
125 Patch43:        %{name}-fix-___build_pre-macro.patch
126 Patch44:        %{name}-missing-patch-file-fails-build.patch
127 Patch45:        %{name}-remove-misleading-missing-patch-message.patch
128 Patch46:        %{name}-rpm2cpio.patch
129 Patch47:        %{name}-query-always-noisy.patch
130 Patch48:        %{name}-verify-ghosts-broken-logic.patch
131 Patch49:        %{name}-python-enable-compat-RPMSENSE.patch
132 Patch50:        %{name}-dont-treat-gstreamer-modules-as-font.patch
133 Patch51:        %{name}-gst-inspect-typo.patch
134 Patch52:        %{name}-null-term-ascii-digest.patch
135 Patch53:        %{name}-lua-enable-extra-libs.patch
136 Patch54:        %{name}-fix-filedigests-verify.patch
137 Patch55:        %{name}-disable-hmac-verify.patch
138 Patch56:        %{name}-macros.patch
139 Patch57:        %{name}-db5.2.patch
140 Patch58:        %{name}-preserve-iterator.patch
141 Patch59:        gcc6-stdlib.patch
142 Patch60:        %{name}-python-sitescriptdir.patch
143 Patch61:        %{name}-clean-docdir.patch
144 Patch62:        %{name}-DB_CONFIG.patch
145 Patch63:        %{name}-pythoneggs.patch
146 Patch64:        %{name}-fix-compress-doc.patch
147 Patch65:        %{name}-parseSpec-skip-empty-tags.patch
148 Patch66:        %{name}-payload-use-hashed-inode.patch
149 Patch67:        %{name}-repackage-dont-force-max-compression.patch
150 Patch68:        rpm-bug-420.patch
151 Patch70:        python-%{name}sense-missingok.patch
152 Patch71:        %{name}-changelog-encoding.patch
153 Patch72:        %{name}-preserve-tag-type.patch
154 Patch74:        %{name}-fix-internal-lua-build.patch
155 Patch75:        %{name}-double_check_file_deps.patch
156 Patch77:        %{name}-lua-expat.patch
157 Patch78:        %{name}-double_check_unpackaged_subdirs.patch
158 Patch79:        %{name}-rpmspec.patch
159 Patch80:        %{name}-revert-gpg-argv-parsing.patch
160 Patch81:        %{name}-perl-magic.patch
161 Patch82:        %{name}-5.4.15-use-DSA-sig.patch
162 Patch83:        %{name}-ignore-missing-macro-files.patch
163 Patch84:        x32.patch
164 Patch85:        rpm-CVE-2013-6435.patch
165 Patch86:        rpm-CVE-2014-8118.patch
166 Patch87:        %{name}-file-output-for-ELF.patch
167 Patch88:        %{name}-rpmtdnext.patch
168 Patch89:        disable-header-verification.patch
169 Patch90:        %{name}-cppcompat.patch
170 Patch91:        py-disable-fetch.patch
171 Patch92:        fast_python_deps.patch
172 Patch93:        python2_explicit.patch
173 Patch94:        do_not_write_before_macro_buffer.patch
174 Patch95:        rpm-python-spec-header.patch
175 Patch96:        skip-ldconfig-optimization.patch
176 Patch97:        glibc.patch
177 Patch98:        extension-based-compression-detection.patch
178 Patch99:        %{name}-gpg-pinentry.patch
179
180 # Patches imported from Mandriva
181
182 # status: ready to merge, it's already been merged on HEAD, so commiting it to rpm-5_4
183 # would basically just mean backporting it..
184 Patch1000:      %{name}-5.4.4-add-_specfile-macro.patch
185 # status: needs to be cleaned up and properly reviewed together with rest
186 # of the patches related to dependency generation
187 Patch1001:      %{name}-5.4.9-avoid-dependencies-on-self.patch
188 # status: probably ready to merge
189 Patch1002:      %{name}-5.4.4-pkgconfigdeps-check-path.patch
190 # status: probably okay to merge, but discuss on rpm-devel first
191 Patch1003:      %{name}-5.4.4-glob-wildcards-for-loading-macro-files.patch
192 # status: needs to be discussed
193 Patch1004:      %{name}-5.4.4-allow-installation-of-repackaged-rpms.patch
194 # status: ready to merge
195 Patch1005:      %{name}-5.4.8-dont-show-suggests-with-requires.patch
196 # status: ready for merge
197 Patch1006:      %{name}-5.4.9-strip-buildroot-away-from-duplicate-files-list.patch
198 # status: probably okay to merge, but discuss on rpm-devel first
199 Patch1007:      %{name}-5.4.10-duplicate_files_terminate_build.patch
200 # status: same as above
201 Patch1008:      %{name}-5.4.10-unpackaged_subdirs_terminate_build.patch
202 # mdvbz#64898
203 # status: uncertain, might be okay to merge, discuss on rpm-devel first
204 Patch1009:      %{name}-5.4.4-rpmbuild-withoutclean.patch
205 # no sense in having an additional dependency on 'pkgconfig' on all packages that
206 # have a pkgconfig file, it's not needed for them to be made useful and anything
207 # actuallly using pkgconfig for this purpose will pull it in as a dependency anyways...
208 # status: might be okay to merge, but discuss on rpm-devel first
209 Patch1010:      %{name}-5.4.4-drop-useless-auto-generated-pkgconfig-dependency.patch
210 # status: ready for merge
211 Patch1011:      %{name}-5.4.4-fix-rpmconstant-to-always-use-LC_CTYPE-C-for-case-conversion.patch
212 # $RPM_BUILD_DIR isn't necessarily the same as $PWD, it's %%{_builddir}, not
213 # %%{_builddir}/%%{?buildsubdir}, messing up paths in debug packages created..
214 # status: needs to be discussed and investigated a bit better..
215 Patch1012:      %{name}-5.4.4-pass-_builddir-properly-to-find-debuginfo.patch
216 # status: probably okay to merge, but discuss on rpm-devel first
217 Patch1013:      %{name}-5.4.10-files-listed-twice-terminates-build.patch
218 # status: keep locally
219 Patch1015:      %{name}-5.4.9-keep-loading-script-macros.patch
220 # status: same as for other dep gen patches
221 Patch1016:      %{name}-5.4.9-update-rpmfc-when-removing-dependencies-on-self.patch
222 # status: idem
223 Patch1017:      %{name}-5.4.9-rpmfc-extract-dependencies-for-all-files.patch
224 # status: probably okay to merge
225 Patch1019:      %{name}-5.4.5-python-export-spec-macros.patch
226 # status: idem
227 Patch1020:      %{name}-5.4.9-font-provides.patch
228 # stauus: idem
229 Patch1021:      %{name}-5.4.7-kmod-dependencies.patch
230 # status: probably okay to merge, discuss on rpm-devel first
231 Patch1022:      %{name}-5.4.5-skip-dependencies-for-character-devices.patch
232 # status: probably okay to merge
233 Patch1024:      %{name}-5.4.5-rpmfc-apply-python-coloring-from-magic.patch
234 # status: probably okay to merge
235 Patch1026:      %{name}-5.4.10-dont-try-generate-rpmfc-dependencies-from-doc-files.patch
236 # status: ready
237 Patch1027:      %{name}-5.4.7-fix-generation-of-ruby-abi-provides.patch
238 # crash reproducable with 'rpm -qa --triggers'
239 # status: ready
240 Patch1028:      %{name}-5.4.7-hdrfmt-fix-unitialized-argv-element.patch
241 # status: same as for other dep gen patches
242 Patch1029:      %{name}-5.4.7-dont-consider-trigger-dependencies-as-overlapping.patch
243 # status: ready
244 Patch1030:      %{name}-5.4.7-fix-minor-memleaks.patch
245 # status: ready
246 Patch1031:      %{name}-5.4.9-mire-fix-strings-lacking-null-terminator.patch
247 # status: ready
248 Patch1032:      %{name}-5.4.9-rpmpython-fix-input.patch
249 # status: ready
250 Patch1033:      %{name}-5.4.7-no-seqid_init-on-rdonly-database.patch
251 # status: probably ready for merging
252 Patch1034:      %{name}-5.4.9-avoid-double-slash-in-path-for-dirname-filetrigger-matching.patch
253 # status: probably ready to merge, discuss on rpm-devel first
254 Patch1035:      %{name}-5.4.9-fix-verify-segfault.patch
255 # Due to rpmdav/neon being written in a different fashion than other rpmio clients,
256 # the inconsistent behaviour affects code elsewhere which expects consistent behaviour,
257 # with the result being that when unable to download files, neon will save error
258 # page as the target file.
259 # status: should go upstream, but uncertain about "correct" fix, ie. this is
260 # more of a workaround, while rewriting rpmdav code to behave consistently
261 # would be "the right thing to do". Yet I'm not fully able to grasp all of the
262 # code and don't want to spend more time just to get the API..
263 Patch1037:      %{name}-5.4.10-fix-neon-saving-error-pages-as-target-file.patch
264 # As the transaction flags for ignoring arch & os are no longer used, there's
265 # currently no way to ignore arch & os of packages anymore. This patch adds
266 # support for doing this again by defining rpm variables and overriding
267 # --ignorearch & --ignoreos to set these.
268 # status: needs to be discussed upstream before thinking about merging
269 Patch1038:      %{name}-5.4.10-support-ignore-arch-and-os-again.patch
270 # status: ready for merge
271 Patch1039:      %{name}-5.4.4-fix-same-package-with-epoch-possible-to-upgrade.patch
272 # we want that patch too, a bit of builder infrastructure relies on NOSIGNATURES
273 Patch1040:      %{name}-5.4.9-support-signatures-and-digest-disablers.patch
274 # lack insight on actual functionality, which anyways seems broken, so let's
275 # disable it to avoid errors from berkeley db..
276 # status: keep locally
277 Patch1041:      %{name}-5.4.9-disable-l10ndir.patch
278 # status: ready for merge
279 Patch1042:      %{name}-5.4.9-fix-rpm_qa-pattern.patch
280 # warning: introduces memory leak
281 Patch1043:      %{name}-5.4.12-copy-Value-string.patch
282 Patch1044:      %{name}-5.4.12-fix-rpmlua-print.patch
283 Patch1045:      %{name}-5.4.12-fix-rpmpython-module-import-init.patch
284 Patch1046:      %{name}-5.4.12-truncate-output-buffer-after-use.patch
285 Patch1047:      %{name}-5.4.13-perl-bindings-do-not-use-xmalloc.patch
286 # proyvind:
287 # there's a rpmdbchk tool I wrote a while back, which might help you. although
288 # the incidents it's able to deal with is rather limited ATM... it might help
289 # you out, if not and you'll be able to solve yer problem, you could take a
290 # stab at adding support for fixing your specific problem to the util ;)
291 # https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-rpmdbchk.patch
292 Patch1048:      %{name}-5.4.14-rpmdbchk.patch
293 # https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-no-assert-abort-with-broken-headers.patch
294 Patch1049:      %{name}-5.4.14-no-assert-abort-with-broken-headers.patch
295
296 Patch1050:      python-libx32.patch
297
298 URL:            http://rpm5.org/
299 BuildRequires:  %{reqdb_pkg}-devel >= %{reqdb_pkgver}
300 %if %{with sqlite}
301 BuildRequires:  sqlite3-devel
302 %else
303 BuildRequires:  %{reqdb_pkg}-sql-devel >= %{reqdb_pkgver}
304 %endif
305 BuildRequires:  autoconf >= 2.63
306 BuildRequires:  automake >= 1.4
307 BuildRequires:  beecrypt-devel >= %{beecrypt_ver}
308 BuildRequires:  bzip2-devel >= 1.0.2-17
309 BuildRequires:  elfutils-devel >= 0.108
310 BuildRequires:  gettext-tools >= 0.19.2
311 %{?with_keyutils:BuildRequires: keyutils-devel}
312 BuildRequires:  libmagic-devel
313 %if %{with selinux}
314 BuildRequires:  libselinux-devel >= 2.1.0
315 BuildRequires:  libsemanage-devel >= 2.1.0
316 BuildRequires:  libsepol-devel >= 2.1.0
317 %endif
318 # needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
319 BuildRequires:  libstdc++-devel
320 BuildRequires:  libtool >= 1:1.4.2-9
321 %if %{with neon}
322 BuildRequires:  libxml2-devel
323 BuildRequires:  neon-devel >= 0.25.5
324 %endif
325 %{?with_system_lua:BuildRequires:       lua52-devel >= 5.2.2}
326 BuildRequires:  ossp-uuid-devel
327 BuildRequires:  patch >= 2.2
328 BuildRequires:  popt-devel >= %{reqpopt_ver}
329 %{?with_python:BuildRequires:   python-devel >= 1:2.3}
330 BuildRequires:  python-modules >= 1:2.3
331 %{?with_python:BuildRequires:   rpm-pythonprov}
332 BuildRequires:  tcl
333 BuildRequires:  xz-devel
334 BuildRequires:  zlib-devel
335 %if %{with apidocs}
336 BuildRequires:  doxygen
337 BuildRequires:  ghostscript
338 BuildRequires:  graphviz
339 BuildRequires:  tetex-pdftex
340 %endif
341 %if %{with static}
342 # Require static library only for static build
343 BuildRequires:  %{reqdb_pkg}-static >= %{reqdb_pkgver}
344 BuildRequires:  beecrypt-static >= %{beecrypt_ver}
345 BuildRequires:  bzip2-static >= 1.0.2-17
346 BuildRequires:  elfutils-static
347 BuildRequires:  glibc-static >= 2.2.94
348 BuildRequires:  libmagic-static
349 %if %{with selinux}
350 BuildRequires:  libselinux-static >= 2.1.0
351 BuildRequires:  libsemanage-static >= 2.1.0
352 BuildRequires:  libsepol-static >= 2.1.0
353 %endif
354 BuildRequires:  popt-static >= %{reqpopt_ver}
355 BuildRequires:  zlib-static
356 %endif
357 Requires(posttrans):    coreutils
358 Requires:       FHS >= 3.0-2
359 Requires:       %{name}-base = %{version}-%{release}
360 Requires:       %{name}-lib = %{version}-%{release}
361 Requires:       beecrypt >= %{beecrypt_ver}
362 Requires:       popt >= %{reqpopt_ver}
363 Obsoletes:      rpm-getdeps
364 %{!?with_static:Obsoletes:      rpm-utils-static}
365 Conflicts:      glibc < 2.2.92
366 # db4.6 poldek needed
367 Conflicts:      poldek < 0.21-0.20070703.00.3
368 # segfaults with lzma 0.42.2
369 Conflicts:      lzma-libs < 4.999.3
370 Conflicts:      util-vserver < 0.30.216-1.pre3034.7
371 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
372
373 %define         _binary_payload         w9.gzdio
374
375 # don't require very fresh rpm.macros to build
376 %define         __gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
377 %define         find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
378 %define         ix86    i386 i486 i586 i686 athlon pentium3 pentium4
379 %define         ppc     ppc ppc7400 ppc7450
380 %define         x8664   amd64 ia32e x86_64
381
382 %define         _rpmlibdir /usr/lib/rpm
383 %define         _noautocompressdoc      RPM-GPG-KEY
384
385 %description
386 RPM is a powerful package manager, which can be used to build,
387 install, query, verify, update, and uninstall individual software
388 packages. A package consists of an archive of files, and package
389 information, including name, version, and description.
390
391 %description -l de.UTF-8
392 RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
393 Installation, Anfrage, Verifizierung, Aktualisierung und
394 Uninstallation individueller Softwarepakete. Ein Paket besteht aus
395 einem Archiv Dateien und Paketinformation, inklusive Name, Version und
396 Beschreibung.
397
398 %description -l es.UTF-8
399 RPM es un poderoso administrador de paquetes, que puede ser usado para
400 construir, instalar, pesquisar, verificar, actualizar y desinstalar
401 paquetes individuales de software. Un paquete consiste en un
402 almacenaje de archivos, y información sobre el paquete, incluyendo
403 nombre, versión y descripción.
404
405 %description -l pl.UTF-8
406 RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
407 przebudowanie, instalację czy weryfikację dowolnego pakietu.
408 Informacje dotyczące każdego pakietu, takie jak jego opis, lista
409 plików wchodzących w skład pakietu, zależności od innych pakietów, są
410 przechowywane w bazie danych i można je uzyskać za pomocą opcji
411 odpytywania programu rpm.
412
413 %description -l pt_BR.UTF-8
414 RPM é um poderoso gerenciador de pacotes, que pode ser usado para
415 construir, instalar, pesquisar, verificar, atualizar e desinstalar
416 pacotes individuais de software. Um pacote consiste de um conjunto de
417 arquivos e informações adicionais, incluindo nome, versão e descrição
418 do pacote, permissões dos arquivos, etc.
419
420 %description -l ru.UTF-8
421 RPM - это мощный менеджер пакетов, который может быть использован для
422 создания, инсталляции, запросов (query), проверки, обновления и
423 удаления программных пакетов. Пакет состоит из файлового архива и
424 служебной информации, включающей название, версию, описание и другие
425 данные о пакете.
426
427 %description -l uk.UTF-8
428 RPM - це потужний менеджер пакетів, що може бути використаний для
429 створення, інсталяції, запитів (query), перевірки, поновлення та
430 видалення програмних пакетів. Пакет складається з файлового архіву та
431 службової інформації, що містить назву, версію, опис та іншу
432 інформацію про пакет.
433
434 %package base
435 Summary:        RPM base package - scripts used by rpm packages themselves
436 Summary(pl.UTF-8):      Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
437 Group:          Base
438 Requires:       filesystem
439 Obsoletes:      rpm-scripts
440 Obsoletes:      vserver-rpm
441
442 %description base
443 The RPM base package contains scripts used by rpm packages themselves.
444 These include:
445 - scripts for adding/removing groups and users needed for rpm
446   packages,
447 - banner.sh to display %%banner messages from rpm scriptlets.
448
449 %description base -l pl.UTF-8
450 Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
451 Zawiera on:
452 - skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
453 - banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
454
455 %package lib
456 Summary:        RPMs library
457 Summary(pl.UTF-8):      Biblioteki RPM-a
458 Group:          Libraries
459 Requires:       %{reqdb_pkg} >= %{reqdb_pkgver}
460 %if %{with sqlite}
461 Requires:       sqlite3 >= %{sqlite_build_version}
462 %else
463 Requires:       %{reqdb_pkg}-sql >= %{reqdb_pkgver}
464 %endif
465 Requires:       beecrypt >= %{beecrypt_ver}
466 Requires:       libmagic >= 1.15-2
467 %{?with_selinux:Requires:       libselinux >= 2.1.0}
468 Requires:       popt >= %{reqpopt_ver}
469 Provides:       rpm-db-ver = %{reqdb_ver}
470 Obsoletes:      rpm-libs
471 # avoid SEGV caused by mixed db versions
472 Conflicts:      poldek < 0.18.1-16
473
474 %description lib
475 RPMs library.
476
477 %description lib -l pl.UTF-8
478 Biblioteki RPM-a.
479
480 %package devel
481 Summary:        Header files for rpm libraries
482 Summary(de.UTF-8):      Header-Dateien für rpm Libraries
483 Summary(es.UTF-8):      Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
484 Summary(pl.UTF-8):      Pliki nagłówkowe bibliotek rpm
485 Summary(pt_BR.UTF-8):   Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
486 Summary(ru.UTF-8):      Хедеры и библиотеки для программ, работающих с rpm-пакетами
487 Summary(uk.UTF-8):      Хедери та бібліотеки для програм, що працюють з пакетами rpm
488 Group:          Development/Libraries
489 Requires:       %{name}-lib = %{version}-%{release}
490 Requires:       %{reqdb_pkg}-devel >= %{reqdb_pkgver}
491 Requires:       beecrypt-devel >= %{beecrypt_ver}
492 Requires:       bzip2-devel
493 Requires:       elfutils-devel
494 %{?with_keyutils:Requires:      keyutils-devel}
495 Requires:       libmagic-devel
496 %if %{with selinux}
497 Requires:       libselinux-devel
498 Requires:       libsemanage-devel
499 Requires:       libsepol-devel
500 %endif
501 Requires:       popt-devel >= %{reqpopt_ver}
502 Requires:       zlib-devel
503
504 %description devel
505 The RPM packaging system includes C libraries that make it easy to
506 manipulate RPM packages and databases. They are intended to ease the
507 creation of graphical package managers and other tools that need
508 intimate knowledge of RPM packages. This package contains header files
509 for these libraries.
510
511 %description devel -l de.UTF-8
512 Der RPM-Packensystem enthält eine C-Library, die macht es einfach
513 RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
514 Vereinfachung des Schaffens grafischer Paket-Manager und anderer
515 Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
516
517 %description devel -l es.UTF-8
518 El sistema de empaquetado RPM incluye una biblioteca C que vuelve
519 fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
520 facilitar la creación de administradores gráficos de paquetes y otras
521 herramientas que necesiten un conocimiento profundo de paquetes RPM.
522
523 %description devel -l pl.UTF-8
524 System RPM zawiera biblioteki C, które ułatwiają manipulowanie
525 pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
526 graficznych programów zarządzających pakietami oraz innych narzędzi,
527 które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
528 zawiera pliki nagłówkowe wspomnianych bibliotek.
529
530 %description devel -l pt_BR.UTF-8
531 O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
532 a manipulação de pacotes e bases de dados RPM. Seu objetivo é
533 facilitar a criação de gerenciadores gráficos de pacotes e outras
534 ferramentas que precisem de conhecimento profundo de pacotes RPM.
535
536 %description devel -l ru.UTF-8
537 Система управления пакетами RPM содержит библиотеку C, которая
538 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
539 Эта библиотека предназначена для облегчения создания графических
540 пакетных менеджеров и других утилит, которым необходимо работать с
541 пакетами RPM.
542
543 %description devel -l uk.UTF-8
544 Система керування пакетами RPM містить бібліотеку C, котра спрощує
545 роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
546 призначена для полегшення створення графічних пакетних менеджерів та
547 інших утиліт, що працюють з пакетами RPM.
548
549 %package static
550 Summary:        RPM static libraries
551 Summary(de.UTF-8):      RPMs statische Libraries
552 Summary(pl.UTF-8):      Biblioteki statyczne RPM-a
553 Summary(pt_BR.UTF-8):   Bibliotecas estáticas para o desenvolvimento de aplicações RPM
554 Summary(ru.UTF-8):      Статическая библиотека для программ, работающих с rpm-пакетами
555 Summary(uk.UTF-8):      Статична бібліотека для програм, що працюють з пакетами rpm
556 Group:          Development/Libraries
557 Requires:       %{name}-devel = %{version}-%{release}
558 Requires:       %{reqdb_pkg}-static >= %{reqdb_pkgver}
559 Requires:       beecrypt-static >= %{beecrypt_ver}
560 Requires:       bzip2-static
561 Requires:       elfutils-static
562 %{?with_keyutils:Requires:      keyutils-static}
563 Requires:       libmagic-static
564 %if %{with selinux}
565 Requires:       libselinux-static
566 Requires:       libsemanage-static
567 Requires:       libsepol-static
568 %endif
569 Requires:       popt-static >= %{reqpopt_ver}
570 Requires:       zlib-static
571
572 %description static
573 RPM static libraries.
574
575 %description static -l de.UTF-8
576 RPMs statische Libraries.
577
578 %description static -l pl.UTF-8
579 Biblioteki statyczne RPM-a.
580
581 %description static -l pt_BR.UTF-8
582 Bibliotecas estáticas para desenvolvimento.
583
584 %description static -l ru.UTF-8
585 Система управления пакетами RPM содержит библиотеку C, которая
586 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
587 Это статическая библиотека RPM.
588
589 %description static -l uk.UTF-8
590 Система керування пакетами RPM містить бібліотеку C, котра спрощує
591 роботу з пакетами RPM та відповідними базами даних. Це статична
592 бібліотека RPM.
593
594 %package utils
595 Summary:        Additional utilities for managing RPM packages and database
596 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
597 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
598 Group:          Applications/File
599 Requires:       %{name} = %{version}-%{release}
600 Requires:       popt >= %{reqpopt_ver}
601 %if %{with suggest_tags}
602 Suggests:       bzip2
603 Suggests:       gzip
604 %endif
605 Conflicts:      filesystem-debuginfo < 3.0-16
606
607 %description utils
608 Additional utilities for managing RPM packages and database.
609
610 %description utils -l de.UTF-8
611 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
612
613 %description utils -l pl.UTF-8
614 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
615
616 %package utils-perl
617 Summary:        Additional utilities for managing RPM packages and database
618 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
619 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
620 Group:          Applications/File
621 Requires:       %{name}-utils = %{version}-%{release}
622 Requires:       popt >= %{reqpopt_ver}
623
624 %description utils-perl
625 Additional utilities for managing RPM packages and database.
626
627 %description utils-perl -l de.UTF-8
628 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
629
630 %description utils-perl -l pl.UTF-8
631 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
632
633 %package utils-static
634 Summary:        Static rpm utilities
635 Summary(pl.UTF-8):      Statyczne narzędzia rpm
636 Group:          Applications/System
637 Requires:       %{name} = %{version}-%{release}
638
639 %description utils-static
640 Static rpm utilities for repairing system in case something with
641 shared libraries used by rpm become broken. Currently it contains rpmi
642 binary, which can be used to install/upgrade/remove packages without
643 using shared libraries (well, in fact with exception of NSS modules).
644
645 %description utils-static -l pl.UTF-8
646 Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
647 związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
648 Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
649 uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
650 (z wyjątkiem modułów NSS).
651
652 %package build
653 Summary:        Scripts for building binary RPM packages
654 Summary(de.UTF-8):      Scripts fürs Bauen binärer RPM-Pakete
655 Summary(pl.UTF-8):      Skrypty pomocnicze do budowania binarnych RPM-ów
656 Summary(pt_BR.UTF-8):   Scripts e programas executáveis usados para construir pacotes
657 Summary(ru.UTF-8):      Скрипты и утилиты, необходимые для сборки пакетов
658 Summary(uk.UTF-8):      Скрипти та утиліти, необхідні для побудови пакетів
659 Group:          Applications/File
660 Requires(pretrans):     coreutils
661 Requires(pretrans):     findutils
662 Requires:       %{name}-pld-macros-build >= 1.744-3
663 Requires:       %{name}-utils = %{version}-%{release}
664 Requires:       /bin/id
665 Requires:       awk
666 Requires:       bzip2
667 Requires:       chrpath >= 0.10-4
668 Requires:       cpio
669 Requires:       diffutils
670 Requires:       elfutils
671 Requires:       file >= 4.17
672 Requires:       fileutils
673 Requires:       findutils
674 %ifarch athlon
675 Requires:       gcc >= 3.0.3
676 %else
677 Requires:       gcc
678 %endif
679 Requires:       glibc-devel
680 Requires:       grep
681 Requires:       gzip
682 Requires:       make
683 Requires:       patch
684 Requires:       sed >= 4.0
685 Requires:       sh-utils
686 Requires:       tar >= 1:1.22
687 Requires:       textutils
688 Requires:       which
689 Requires:       xz
690 Provides:       rpmbuild(monoautodeps)
691 Provides:       rpmbuild(noauto) = 3
692 %ifarch %{x8664}
693 Conflicts:      automake < 1:1.7.9-2
694 Conflicts:      libtool < 2:1.5-13
695 %endif
696
697 %description build
698 Scripts for building binary RPM packages.
699
700 %description build -l de.UTF-8
701 Scripts fürs Bauen binärer RPM-Pakete.
702
703 %description build -l pl.UTF-8
704 Skrypty pomocnicze do budowania binarnych RPM-ów.
705
706 %description build -l pt_BR.UTF-8
707 Este pacote contém scripts e programas executáveis que são usados para
708 construir pacotes usando o RPM.
709
710 %description build -l ru.UTF-8
711 Различные вспомогательные скрипты и исполняемые программы, которые
712 используются для сборки RPM'ов.
713
714 %description build -l uk.UTF-8
715 Різноманітні допоміжні скрипти та утиліти, які використовуються для
716 побудови RPM'ів.
717
718 %package perlprov
719 Summary:        Additional utilities for checking Perl provides/requires in RPM packages
720 Summary(de.UTF-8):      Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
721 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
722 Group:          Applications/File
723 Requires:       %{name} = %{version}-%{release}
724 Requires:       perl-Encode
725 Requires:       perl-devel
726 Requires:       perl-modules
727
728 %description perlprov
729 Additional utilities for checking Perl provides/requires in RPM
730 packages.
731
732 %description perlprov -l de.UTF-8
733 Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
734
735 %description perlprov -l pl.UTF-8
736 Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
737 pakietach RPM.
738
739 %package pythonprov
740 Summary:        Python macros, which simplifies creation of RPM packages with Python software
741 Summary(pl.UTF-8):      Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
742 Group:          Applications/File
743 Requires:       %{name} = %{version}-%{release}
744 Requires:       python
745 Requires:       python-setuptools
746 Requires:       python-modules
747
748 %description pythonprov
749 Python macros, which simplifies creation of RPM packages with Python
750 software.
751
752 %description pythonprov -l pl.UTF-8
753 Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
754 Pythonie.
755
756 %package -n python-rpm
757 Summary:        Python interface to RPM library
758 Summary(pl.UTF-8):      Pythonowy interfejs do biblioteki RPM-a
759 Summary(pt_BR.UTF-8):   Módulo Python para aplicativos que manipulam pacotes RPM
760 Group:          Development/Languages/Python
761 Requires:       %{name} = %{version}-%{release}
762 Requires:       python
763 Obsoletes:      rpm-python
764
765 %description -n python-rpm
766 The rpm-python package contains a module which permits applications
767 written in the Python programming language to use the interface
768 supplied by RPM (RPM Package Manager) libraries.
769
770 This package should be installed if you want to develop Python
771 programs that will manipulate RPM packages and databases.
772
773 %description -n python-rpm -l pl.UTF-8
774 Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
775 Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
776
777 Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
778 Pythonie programy manipulujące pakietami i bazami danych rpm.
779
780 %description -n python-rpm -l pt_BR.UTF-8
781 O pacote rpm-python contém um módulo que permite que aplicações
782 escritas em Python utilizem a interface fornecida pelas bibliotecas
783 RPM (RPM Package Manager).
784
785 Esse pacote deve ser instalado se você quiser desenvolver programas em
786 Python para manipular pacotes e bancos de dados RPM.
787
788 %package apidocs
789 Summary:        RPM API documentation and guides
790 Summary(pl.UTF-8):      Documentacja API RPM-a i przewodniki
791 Group:          Documentation
792 %if "%{_rpmversion}" >= "5"
793 BuildArch:      noarch
794 %endif
795
796 %description apidocs
797 Documentation for RPM API and guides in HTML format generated from rpm
798 sources by doxygen.
799
800 %description apidocs -l pl.UTF-8
801 Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
802 źrodeł RPM-a przez doxygen.
803
804 %prep
805 %setup -q -n %{name}-%{version}%{?subver}
806 install -d platform
807 cd platform
808 ar x %{SOURCE100}
809 cd -
810
811 #patch0 -p1
812 %patch1 -p1
813 %patch2 -p1
814 %patch3 -p1
815 %patch4 -p1
816 %patch5 -p1
817 %patch6 -p1
818 %patch8 -p1
819 %{?with_system_lua:%patch9 -p1}
820 %patch10 -p1
821 %ifnarch i386 i486
822 # enable TSC for capable archs
823 %patch11 -p1
824 %endif
825 %patch12 -p1
826 %patch13 -p1
827 %patch14 -p0
828 %patch15 -p1
829 %patch16 -p1
830 %patch17 -p1
831 %patch18 -p1
832 %patch19 -p1
833 %patch20 -p1
834 %patch21 -p1
835 %ifarch sparc64
836 %patch22 -p1
837 %endif
838 %patch23 -p1
839 %patch24 -p1
840 %patch25 -p1
841 %patch26 -p1
842 %patch27 -p1
843 %patch28 -p1
844 %patch29 -p1
845 %patch30 -p1
846 %patch31 -p1
847 %patch32 -p1
848 %patch33 -p1
849 %patch34 -p1
850 %patch35 -p1
851 %patch36 -p1
852 %patch37 -p1
853 %patch38 -p1
854 %patch39 -p1
855 %patch40 -p1
856 %{?with_db61:%patch41 -p1}
857 %patch42 -p1
858 %patch43 -p1
859 %patch44 -p1
860 %patch45 -p1
861 %patch46 -p1
862 %patch47 -p1
863 %patch48 -p1
864 %patch49 -p1
865 %patch50 -p1
866 %patch51 -p1
867 %patch52 -p0
868 %patch53 -p1
869 %patch54 -p1
870 %patch55 -p1
871 %patch56 -p1
872 %{!?with_db61:%patch57 -p1}
873 %patch58 -p1
874 %patch59 -p1
875 %patch60 -p1
876 %patch61 -p1
877 %patch62 -p1
878 %patch63 -p1
879 %patch64 -p1
880 %patch65 -p1
881 %patch66 -p1
882 %patch67 -p1
883 %patch68 -p1
884 %patch70 -p1
885 %patch71 -p1
886 %patch72 -p1
887 %patch74 -p1
888 %patch75 -p1
889 %patch77 -p0
890 %patch78 -p1
891 %patch79 -p1
892 %patch80 -p1
893 %patch81 -p0
894 %patch82 -p1
895 %patch84 -p1
896 %patch85 -p1
897 %patch86 -p1
898 %patch87 -p1
899 %patch88 -p1
900 %patch89 -p1
901 %patch90 -p1
902 %patch91 -p1
903 %patch99 -p1
904
905 %patch1000 -p1
906 %patch1001 -p1
907 %patch1002 -p1
908 %patch1003 -p1
909 %patch1004 -p1
910 %patch1005 -p1
911 %patch1006 -p1
912 %patch1007 -p1
913 %patch1008 -p1
914 %patch1009 -p1
915 %patch1010 -p1
916 %patch1011 -p1
917 %patch1012 -p1
918 %patch1013 -p1
919 %patch1015 -p1
920 %patch1016 -p1
921 %patch1017 -p1
922 %patch1019 -p1
923 %patch1020 -p1
924 %patch1021 -p1
925 %patch1022 -p1
926 %patch1024 -p1
927 %patch1026 -p1
928 %patch1027 -p1
929 %patch1028 -p1
930 %patch1029 -p1
931 %patch1030 -p1
932 %patch1031 -p1
933 %patch1032 -p1
934 %patch1033 -p1
935 %patch1034 -p1
936 %patch1035 -p1
937 %patch1037 -p1
938 %patch1038 -p1
939 %patch1039 -p1
940 %patch1040 -p1
941 # don't delete, may be usefull if jbj descides to enable this again
942 #%patch1041 -p1
943 %patch1042 -p1
944 %patch1043 -p1
945 %patch1044 -p1
946 %patch1045 -p1
947 %patch1046 -p1
948 %patch1047 -p1
949 %patch1048 -p1
950 %patch1049 -p1
951
952 %patch83 -p1
953 %patch92 -p1
954 %patch93 -p1
955 %patch94 -p1
956 %patch95 -p1
957 %patch96 -p1
958 %patch97 -p1
959 %patch98 -p1
960
961 %patch1050 -p1
962
963 install %{SOURCE2} macros/pld.in
964 install %{SOURCE11} scripts/perl.prov.in
965
966 rm scripts/find-php*
967
968 %{__mv} -f scripts/perl.req{,.in}
969
970 # generate Group translations to *.po
971 awk -f %{SOURCE6} %{SOURCE1}
972
973 install %{SOURCE26} tools/rpmdb_checkversion.c
974 install %{SOURCE28} tools/rpmdb_reset.c
975
976 for extlib in beecrypt neon %{?with_system_pcre:pcre} popt; do
977         [ -d $extlib ] && %{__rm} -r $extlib
978 done
979
980 %build
981 %{__libtoolize}
982 #%{__autopoint}
983 %{__aclocal}
984 %{__autoheader}
985 %{__autoconf}
986 %{__automake}
987
988 # rpm checks for CPU type at runtime, but it looks better
989 sed -i \
990         -e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
991         -e 's|@host_cpu@|%{_target_cpu}|' \
992         -e 's|@host_os@|%{_target_os}|' \
993         macros/macros.in
994
995 %{?with_system_lua:CPPFLAGS="-I/usr/include/lua51 %{rpmcppflags}"}
996 %configure \
997         WITH_PERL_VERSION=no \
998         __GST_INSPECT=%{_bindir}/gst-inspect-1.0 \
999         __GPG=%{_bindir}/gpg \
1000         --disable-silent-rules \
1001         --enable-shared \
1002         --enable-static \
1003         %{!?with_apidocs:--without-apidocs} \
1004         --with-beecrypt=external \
1005         --with-bugreport="http://bugs.pld-linux.org/" \
1006         --with-bzip2=external \
1007         --with-db=external \
1008         --with-dbapi=db \
1009         --with-file=external \
1010         --with-keyutils=%{?with_keyutils:external}%{!?with_keyutils:no} \
1011         --with-libelf \
1012         --with-lua=%{!?with_system_lua:internal}%{?with_system_lua:external} \
1013         --with-lzma=external \
1014         --with-neon=%{?with_neon:external}%{!?with_neon:no} \
1015         --with-path-macros='%{_rpmlibdir}/macros:%{_rpmlibdir}/macros.d/pld:%{_rpmlibdir}/pld/macros:%{_rpmlibdir}/%%{_target}/macros:%{_rpmlibdir}/macros.build:%{_sysconfdir}/rpm/macros.*:%{_sysconfdir}/rpm/macros:%{_sysconfdir}/rpm/%%{_target}/macros:%{_sysconfdir}/rpm/macros.d/*.macros:~/etc/.rpmmacros:~/.rpmmacros' \
1016         --without-path-versioned \
1017         --with-pcre=%{!?with_system_pcre:internal}%{?with_system_pcre:external} \
1018         --with-popt=external \
1019         %{?with_python:--with-python=%{py_ver} --with-python-lib-dir=%{py_sitedir}} \
1020         %{!?with_python:--without-python} \
1021         --with-selinux=%{!?with_selinux:no}%{?with_selinux:external} \
1022         --with-semanage=%{!?with_selinux:no}%{?with_selinux:external} \
1023         --with-sepol=%{!?with_selinux:no}%{?with_selinux:external} \
1024         --with-sqlite=%{?with_sqlite:yes}%{!?with_sqlite:no} \
1025         --with-uuid=%{_libdir}:%{_includedir}/ossp-uuid \
1026         --with-vendor=pld \
1027         --with-xz=external \
1028         --with-zlib=external
1029
1030 %{__make}
1031
1032 %{?with_apidocs:%{__make} apidocs}
1033
1034 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_checkversion.c \
1035         -o tools/rpmdb_checkversion -ldb-%{reqdb_ver}
1036 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_reset.c \
1037         -o tools/rpmdb_reset -ldb-%{reqdb_ver}
1038
1039 if tools/rpmdb_checkversion -V 2>&1 | grep "t match library version"; then
1040         echo "Error linking rpmdb tools!"
1041         exit 1
1042 fi
1043 if tools/rpmdb_reset -V 2>&1 | grep "t match library version"; then
1044         echo "Error linking rpmdb tools!"
1045         exit 1
1046 fi
1047
1048 %install
1049 rm -rf $RPM_BUILD_ROOT
1050 install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm} \
1051         $RPM_BUILD_ROOT{/var/lib/banner,/var/cache/hrmib,/etc/pki/rpm-gpg,%{_rpmlibdir}/pld}
1052
1053 install %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
1054
1055 %{__make} install \
1056         pkgconfigdir=%{_pkgconfigdir} \
1057         DESTDIR=$RPM_BUILD_ROOT
1058
1059 # install platform macros
1060 for f in platform/*macros; do
1061         bn=${f#*/}
1062         fn=${bn%.macros}/macros
1063         install -m644 $f -D %{buildroot}%{_rpmlibdir}/$fn
1064 done
1065
1066 # cleanup
1067 %ifnarch %{ix86} %{x8664} x32
1068 rm $RPM_BUILD_ROOT%{_rpmlibdir}/athlon-linux/macros
1069 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i386-linux/macros
1070 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i486-linux/macros
1071 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i586-linux/macros
1072 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i686-linux/macros
1073 rm $RPM_BUILD_ROOT%{_rpmlibdir}/pentium3-linux/macros
1074 rm $RPM_BUILD_ROOT%{_rpmlibdir}/pentium4-linux/macros
1075 %endif
1076
1077 %ifnarch %{x8664} x32
1078 rm $RPM_BUILD_ROOT%{_rpmlibdir}/amd64-linux/macros
1079 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ia32e-linux/macros
1080 rm $RPM_BUILD_ROOT%{_rpmlibdir}/x32-linux/macros
1081 rm $RPM_BUILD_ROOT%{_rpmlibdir}/x86_64-linux/macros
1082 %endif
1083
1084 %ifnarch %{ppc}
1085 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux/macros
1086 %endif
1087
1088 rm $RPM_BUILD_ROOT%{_rpmlibdir}/alpha*-linux/macros
1089 rm $RPM_BUILD_ROOT%{_rpmlibdir}/arm*-linux/macros
1090 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ia64-linux/macros
1091 rm $RPM_BUILD_ROOT%{_rpmlibdir}/k6-linux/macros
1092 rm $RPM_BUILD_ROOT%{_rpmlibdir}/mips*-linux/macros
1093 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc*series-linux/macros
1094 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc64*-linux/macros
1095 rm $RPM_BUILD_ROOT%{_rpmlibdir}/s390*-linux/macros
1096 rm $RPM_BUILD_ROOT%{_rpmlibdir}/sparc*-linux/macros
1097
1098 cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1099 # first platform file entry can't contain regexps
1100 %ifarch x32
1101 %{_target_cpu}-%{_target_vendor}-linux-gnux32
1102 %else
1103 %{_target_cpu}-%{_target_vendor}-linux
1104 %endif
1105
1106 %ifarch x86_64
1107 x86_64-[^-]*-[Ll]inux(-gnu)?
1108 amd64-[^-]*-[Ll]inux(-gnu)?
1109 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1110 %endif
1111 %ifarch amd64
1112 amd64-[^-]*-[Ll]inux(-gnu)?
1113 x86_64-[^-]*-[Ll]inux(-gnu)?
1114 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1115 %endif
1116 %ifarch ia32e
1117 ia32e-[^-]*-[Ll]inux(-gnu)?
1118 x86_64-[^-]*-[Ll]inux(-gnu)?
1119 %endif
1120 %ifarch x32
1121 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1122 x86_64-[^-]*-[Ll]inux(-gnu)?
1123 amd64-[^-]*-[Ll]inux(-gnu)?
1124 %endif
1125
1126 %ifarch athlon %{x8664} x32
1127 athlon-[^-]*-[Ll]inux(-gnu)?
1128 %endif
1129 %ifarch pentium4 athlon %{x8664} x32
1130 pentium4-[^-]*-[Ll]inux(-gnu)?
1131 %endif
1132 %ifarch pentium3 pentium4 athlon %{x8664} x32
1133 pentium3-[^-]*-[Ll]inux(-gnu)?
1134 %endif
1135 %ifarch i686 pentium3 pentium4 athlon %{x8664} x32
1136 i686-[^-]*-[Ll]inux(-gnu)?
1137 %endif
1138 %ifarch i586 i686 pentium3 pentium4 athlon %{x8664} x32
1139 i586-[^-]*-[Ll]inux(-gnu)?
1140 %endif
1141 %ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664} x32
1142 i486-[^-]*-[Ll]inux(-gnu)?
1143 %endif
1144 %ifarch %{ix86} %{x8664} x32
1145 i386-[^-]*-[Ll]inux(-gnu)?
1146 %endif
1147
1148 %ifarch alpha
1149 alpha-[^-]*-[Ll]inux(-gnu)?
1150 %endif
1151
1152 %ifarch ia64
1153 ia64-[^-]*-[Ll]inux(-gnu)?
1154 %endif
1155
1156 %ifarch ppc64
1157 powerpc64-[^-]*-[Ll]inux(-gnu)?
1158 ppc64-[^-]*-[Ll]inux(-gnu)?
1159 %endif
1160 %ifarch %{ppc} ppc64
1161 powerpc-[^-]*-[Ll]inux(-gnu)?
1162 ppc-[^-]*-[Ll]inux(-gnu)?
1163 %endif
1164
1165 %ifarch s390x
1166 s390x-[^-]*-[Ll]inux(-gnu)?
1167 %endif
1168 %ifarch s390 s390x
1169 s390-[^-]*-[Ll]inux(-gnu)?
1170 %endif
1171
1172 %ifarch sparc64
1173 sparc64-[^-]*-[Ll]inux(-gnu)?
1174 sparcv8-[^-]*-[Ll]inux(-gnu)?
1175 sparcv9-[^-]*-[Ll]inux(-gnu)?
1176 %endif
1177 %ifarch sparcv9
1178 sparcv8-[^-]*-[Ll]inux(-gnu)?
1179 sparcv9-[^-]*-[Ll]inux(-gnu)?
1180 %endif
1181 %ifarch sparc sparcv9 sparc64
1182 sparc-[^-]*-[Ll]inux(-gnu)?
1183 %endif
1184
1185 noarch-[^-]*-.*
1186 EOF
1187
1188 # Squash Extra Blank Lines
1189 %{__sed} -i -e '/./,/^$/!d' $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1190
1191 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
1192 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
1193 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl
1194 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
1195 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.a
1196 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.la
1197 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-provides
1198 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-requires
1199
1200 # not installed since 4.4.8 (-tools-perl subpackage)
1201 install scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}
1202
1203 install %{SOURCE1} doc/manual/groups
1204 install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
1205 install %{SOURCE12} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
1206 install %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
1207 install %{SOURCE13} $RPM_BUILD_ROOT/etc/sysconfig/rpm
1208
1209 install %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/banner.sh
1210
1211 install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
1212
1213 install %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros
1214 install %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang
1215 install %{SOURCE19} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc
1216 install %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov
1217 install %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles
1218 install %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq
1219 install %{SOURCE24} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles
1220
1221 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
1222 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
1223 install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
1224 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
1225 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
1226 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
1227
1228 install tools/rpmdb_checkversion $RPM_BUILD_ROOT%{_rpmlibdir}/bin
1229 install tools/rpmdb_reset $RPM_BUILD_ROOT%{_rpmlibdir}/bin
1230 install %{SOURCE29} $RPM_BUILD_ROOT%{_rpmlibdir}/bin/dbupgrade.sh
1231
1232 # create macro loading wrappers for backward compatibility
1233 for m in gstreamer libtool mono pkgconfig selinux; do
1234         %{__mv} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/{$m,macros.$m}
1235 done
1236
1237 install %{SOURCE30} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/macros.prov-req
1238
1239 # moved to rpm-pld-macros-macros 1.699
1240 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/kernel
1241 # moved to rpm-pld-macros-build 1.744
1242 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/javadeps.sh
1243 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/{gem_helper,rubygems}.rb
1244 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/php.{prov,req}
1245 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/{cmake,java,perl,php,python,ruby,tcl}
1246
1247 # for rpm -e|-U --repackage
1248 install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
1249 touch $RPM_BUILD_ROOT/var/lock/rpm/transaction
1250
1251 # move rpm to /bin
1252 mv $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
1253 # move essential libs to /lib (libs that /bin/rpm links to)
1254 for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so librpmbuild-%{sover}.so librpmmisc-%{sover}.so librpmconstant-%{sover}.so; do
1255         mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
1256         ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
1257 done
1258
1259 # Bourne shell script vs ELF executable linked with rpm,rpmdb,rpmio
1260 mv $RPM_BUILD_ROOT{%{_rpmlibdir},%{_bindir}}/rpm2cpio
1261
1262 %if %{with python}
1263 %py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
1264 %py_comp $RPM_BUILD_ROOT%{py_sitedir}
1265
1266 %{__rm} $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}
1267 %endif
1268
1269 # wrong location, not used anyway
1270 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}
1271 # utils dropped in 5.4 -- their manuals
1272 %{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/rpmgrep.1
1273 # script obsoleted by /usr/lib/rpm/bin/dbconvert binary
1274 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/dbconvert.sh
1275
1276 %find_lang %{name}
1277
1278 %{__rm} -rf manual
1279 cp -a doc/manual manual
1280 %{__rm} -f manual/Makefile*
1281
1282 %clean
1283 rm -rf $RPM_BUILD_ROOT
1284
1285 %pretrans
1286 # this needs to be a dir
1287 if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
1288         umask 022
1289         mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
1290         mkdir %{_sysconfdir}/rpm/sysinfo
1291 fi
1292
1293 %posttrans
1294 if [ -e /var/lib/rpm/Packages ] && \
1295                 ! %{_rpmlibdir}/bin/rpmdb_checkversion -h /var/lib/rpm -d /var/lib/rpm; then
1296         if [ ! -e /var/lib/rpm.rpmbackup-%{version}-%{release} ] && \
1297                         /bin/cp -a /var/lib/rpm /var/lib/rpm.rpmbackup-%{version}-%{release}; then
1298                 echo
1299                 echo "Backup of the rpm database has been created in /var/lib/rpm.rpmbackup-%{version}-%{release}"
1300                 echo
1301         fi
1302         echo
1303         echo 'If poldek aborts after migration with rpmdb error, this is expected behaviour,'
1304         echo 'you should ignore it and restart poldek'
1305         echo
1306         %{_rpmlibdir}/bin/dbupgrade.sh
1307 fi
1308
1309 %triggerpostun -- %{name} < 4.4.9-44
1310 %{_rpmlibdir}/hrmib-cache
1311
1312 %post   lib -p /sbin/ldconfig
1313 %postun lib -p /sbin/ldconfig
1314
1315 %pretrans build
1316 find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
1317
1318 %files -f %{name}.lang
1319 %defattr(644,root,root,755)
1320 %doc CHANGES CREDITS README pubkeys/JBJ-GPG-KEY manual/*
1321
1322 %dir /etc/pki/rpm-gpg
1323 /etc/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
1324
1325 %attr(755,root,root) /bin/rpm
1326
1327 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
1328 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
1329 %dir %{_sysconfdir}/rpm/sysinfo
1330 # these are ok to be replaced
1331 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
1332 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform
1333
1334 %{_mandir}/man8/rpm.8*
1335 %lang(fr) %{_mandir}/fr/man8/rpm.8*
1336 %lang(ja) %{_mandir}/ja/man8/rpm.8*
1337 %lang(pl) %{_mandir}/pl/man8/rpm.8*
1338 %lang(ru) %{_mandir}/ru/man8/rpm.8*
1339 %lang(sk) %{_mandir}/sk/man8/rpm.8*
1340
1341 %dir /var/lib/rpm
1342 %dir /var/lib/rpm/log
1343 %dir /var/lib/rpm/tmp
1344 %config(noreplace) %verify(not md5 mtime size) /var/lib/rpm/DB_CONFIG
1345 %dir %attr(700,root,root) /var/spool/repackage
1346 %dir /var/lock/rpm
1347 /var/lock/rpm/transaction
1348
1349 # exported package NVRA (stamped with install tid)
1350 # net-snmp hrSWInstalledName queries, bash-completions
1351 %dir /var/cache/hrmib
1352
1353 %{_rpmlibdir}/qf
1354 %{_rpmlibdir}/rpmpopt*
1355 %{_rpmlibdir}/macros
1356 %dir %{_rpmlibdir}/macros.d
1357 %{_rpmlibdir}/macros.d/pld
1358 %dir %{_rpmlibdir}/pld
1359 %{_rpmlibdir}/cpuinfo.yaml
1360 %{_rpmlibdir}/noarch-*
1361 %ifarch %{ix86} %{x8664} x32
1362 %{_rpmlibdir}/i?86*
1363 %{_rpmlibdir}/pentium*
1364 %{_rpmlibdir}/athlon*
1365 %endif
1366 %ifarch alpha
1367 %{_rpmlibdir}/alpha*
1368 %endif
1369 %ifarch ia64
1370 %{_rpmlibdir}/ia64*
1371 %endif
1372 %ifarch mips mipsel mips64 mips64el
1373 %{_rpmlibdir}/mips*
1374 %endif
1375 %ifarch %{ppc}
1376 %{_rpmlibdir}/ppc*
1377 %endif
1378 %ifarch sparc sparc64
1379 %{_rpmlibdir}/sparc*
1380 %endif
1381 %ifarch %{x8664} x32
1382 %{_rpmlibdir}/amd64*
1383 %{_rpmlibdir}/ia32e*
1384 %{_rpmlibdir}/x86_64*
1385 %{_rpmlibdir}/x32*
1386 %endif
1387
1388 %attr(755,root,root) %{_rpmlibdir}/hrmib-cache
1389
1390 %dir %{_rpmlibdir}/bin
1391 %attr(755,root,root) %{_rpmlibdir}/bin/dbconvert
1392 %attr(755,root,root) %{_rpmlibdir}/bin/dbupgrade.sh
1393 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_checkversion
1394 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_reset
1395 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdbchk
1396
1397 %files base
1398 %defattr(644,root,root,755)
1399 %dir %{_sysconfdir}/rpm
1400 %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1401 %dir %{_rpmlibdir}
1402 %attr(755,root,root) %{_bindir}/banner.sh
1403 %attr(755,root,root) %{_rpmlibdir}/user_group.sh
1404 %dir /var/lib/banner
1405
1406 %files lib
1407 %defattr(644,root,root,755)
1408 %attr(755,root,root) /%{_lib}/librpm-%{sover}.so
1409 %attr(755,root,root) /%{_lib}/librpmdb-%{sover}.so
1410 %attr(755,root,root) /%{_lib}/librpmio-%{sover}.so
1411 %attr(755,root,root) /%{_lib}/librpmbuild-%{sover}.so
1412 %attr(755,root,root) /%{_lib}/librpmmisc-%{sover}.so
1413 %attr(755,root,root) /%{_lib}/librpmconstant-%{sover}.so
1414
1415 %files devel
1416 %defattr(644,root,root,755)
1417 %attr(755,root,root) %{_libdir}/librpm.so
1418 %attr(755,root,root) %{_libdir}/librpm-%{sover}.so
1419 %attr(755,root,root) %{_libdir}/librpmbuild.so
1420 %attr(755,root,root) %{_libdir}/librpmbuild-%{sover}.so
1421 %attr(755,root,root) %{_libdir}/librpmconstant.so
1422 %attr(755,root,root) %{_libdir}/librpmconstant-%{sover}.so
1423 %attr(755,root,root) %{_libdir}/librpmdb.so
1424 %attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
1425 %attr(755,root,root) %{_libdir}/librpmio.so
1426 %attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
1427 %attr(755,root,root) %{_libdir}/librpmmisc.so
1428 %attr(755,root,root) %{_libdir}/librpmmisc-%{sover}.so
1429 %{_libdir}/librpm*.la
1430 %{_includedir}/rpm
1431 %{_pkgconfigdir}/*.pc
1432
1433 %files static
1434 %defattr(644,root,root,755)
1435 %{_libdir}/librpm*.a
1436
1437 %files utils
1438 %defattr(644,root,root,755)
1439 %attr(755,root,root) %{_bindir}/rpm2cpio
1440 %attr(755,root,root) %{_bindir}/rpmconstant
1441 %attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
1442 %attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
1443 %attr(755,root,root) %{_rpmlibdir}/tgpg
1444 %attr(755,root,root) %{_rpmlibdir}/bin/chroot
1445 %attr(755,root,root) %{_rpmlibdir}/bin/cp
1446 %attr(755,root,root) %{_rpmlibdir}/bin/debugedit
1447 %attr(755,root,root) %{_rpmlibdir}/bin/find
1448 %attr(755,root,root) %{_rpmlibdir}/bin/mgo
1449 %attr(755,root,root) %{_rpmlibdir}/bin/mtree
1450 %attr(755,root,root) %{_rpmlibdir}/bin/rpmcache
1451 %attr(755,root,root) %{_rpmlibdir}/bin/rpmcmp
1452 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdeps
1453 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdigest
1454 %if %{with selinux}
1455 %attr(755,root,root) %{_rpmlibdir}/bin/semodule
1456 %attr(755,root,root) %{_rpmlibdir}/bin/spooktool
1457 %endif
1458 %if %{without system_lua}
1459 %attr(755,root,root) %{_rpmlibdir}/bin/lua
1460 %attr(755,root,root) %{_rpmlibdir}/bin/luac
1461 %attr(755,root,root) %{_rpmlibdir}/bin/rpmlua
1462 %attr(755,root,root) %{_rpmlibdir}/bin/rpmluac
1463 %endif
1464 %{?with_keyutils:%attr(755,root,root) %{_rpmlibdir}/bin/rpmkey}
1465 %attr(755,root,root) %{_rpmlibdir}/bin/rpmrepo
1466 %{_mandir}/man8/rpm2cpio.8*
1467 %{_mandir}/man8/rpmconstant.8*
1468 %{_mandir}/man8/rpmdeps.8*
1469 %{_mandir}/man8/rpmmtree.8*
1470 %lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
1471 %lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
1472 %lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
1473 %lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
1474
1475 %files utils-perl
1476 %defattr(644,root,root,755)
1477 %attr(755,root,root) %{_rpmlibdir}/rpmdiff*
1478
1479 %if %{with static}
1480 %files utils-static
1481 %defattr(644,root,root,755)
1482 %attr(755,root,root) %{_bindir}/rpm[ieu]
1483 %attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
1484 %endif
1485
1486 %files build
1487 %defattr(644,root,root,755)
1488 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
1489 %attr(755,root,root) %{_rpmlibdir}/brp-*
1490 %attr(755,root,root) %{_rpmlibdir}/check-files
1491 %attr(755,root,root) %{_rpmlibdir}/cross-build
1492 %attr(755,root,root) %{_rpmlibdir}/getpo.sh
1493 %attr(755,root,root) %{_rpmlibdir}/install-build-tree
1494 %attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
1495 %attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
1496 %attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
1497 # needs hacked pkg-config to return anything
1498 %attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
1499 %attr(755,root,root) %{_rpmlibdir}/bin/api-sanity-autotest.pl
1500 %attr(755,root,root) %{_rpmlibdir}/bin/api-sanity-checker.pl
1501 %{!?with_sqlite:%attr(755,root,root) %{_rpmlibdir}/bin/dbsql}
1502 %attr(755,root,root) %{_rpmlibdir}/bin/install-sh
1503 %attr(755,root,root) %{_rpmlibdir}/bin/mkinstalldirs
1504 %attr(755,root,root) %{_rpmlibdir}/bin/pom2spec
1505 %attr(755,root,root) %{_rpmlibdir}/bin/rpmspec
1506 %attr(755,root,root) %{_rpmlibdir}/bin/rpmspecdump
1507 %attr(755,root,root) %{_rpmlibdir}/bin/sqlite3
1508 %attr(755,root,root) %{_rpmlibdir}/bin/wget
1509 %attr(755,root,root) %{_rpmlibdir}/vcheck
1510 # not used yet ... these six depend on perl
1511 %attr(755,root,root) %{_rpmlibdir}/http.req
1512 # we always used scripts provided by mono-devel, maybe move them here
1513 #%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
1514 #%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
1515
1516 %attr(755,root,root) %{_rpmlibdir}/fontconfig.prov
1517 %{_rpmlibdir}/macros.d/macros.gstreamer
1518 %{_rpmlibdir}/macros.d/macros.libtool
1519 %{_rpmlibdir}/macros.d/macros.mono
1520 %{_rpmlibdir}/macros.d/macros.pkgconfig
1521 %{_rpmlibdir}/macros.d/macros.prov-req
1522 %{_rpmlibdir}/macros.d/macros.selinux
1523 %{_rpmlibdir}/macros.rpmbuild
1524
1525 %attr(755,root,root) %{_rpmlibdir}/gstreamer.sh
1526 %attr(755,root,root) %{_rpmlibdir}/kmod-deps.sh
1527
1528 %attr(755,root,root) %{_bindir}/gendiff
1529 %attr(755,root,root) %{_bindir}/rpmbuild
1530
1531 %dir %{_rpmlibdir}/helpers
1532 %attr(755,root,root) %{_rpmlibdir}/helpers/makeshlibs
1533
1534 %{_mandir}/man1/gendiff.1*
1535 %{_mandir}/man8/rpmbuild.8*
1536 %lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
1537 %lang(pl) %{_mandir}/pl/man1/gendiff.1*
1538 %lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
1539
1540 %files perlprov
1541 %defattr(644,root,root,755)
1542 %attr(755,root,root) %{_rpmlibdir}/perl.*
1543 %attr(755,root,root) %{_rpmlibdir}/osgideps.pl
1544 %attr(755,root,root) %{_rpmlibdir}/perldeps.pl
1545
1546 %files pythonprov
1547 %defattr(644,root,root,755)
1548 %attr(755,root,root) %{_rpmlibdir}/pythoneggs.py
1549 %attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
1550
1551 %if %{with python}
1552 %files -n python-rpm
1553 %defattr(644,root,root,755)
1554 %dir %{py_sitedir}/rpm
1555 %attr(755,root,root) %{py_sitedir}/rpm/*.so
1556 %{py_sitedir}/rpm/*.py[co]
1557 %endif
1558
1559 %if %{with apidocs}
1560 %files apidocs
1561 %defattr(644,root,root,755)
1562 %doc apidocs
1563 %endif
This page took 0.369007 seconds and 3 git commands to generate.